Searched refs:failed (Results 1 - 25 of 43) sorted by relevance

12

/ast/src/cmd/ksh93/tests/
H A Dexit.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
45 cd $tmp || { err_exit "cd $tmp failed"; exit 1; }
77 cd ~- || err_exit "cd back failed"
78 $SHELL -c 'builtin -f cmd getconf; getconf --"?-version"; exit 0' >/dev/null 2>&1 || err_exit 'ksh plugin exit failed -- was ksh built with CCFLAGS+=$(CC.EXPORT.DYNAMIC)?'
H A Dselect.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
H A Dcoprocess.sh32 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
120 then err_exit "${SHELL-ksh} $cat coprocess io failed -- got '$got', expected '$exp'"
222 [[ $REPLY == "$exp" ]] || err_exit "REPLY from $cat coprocess failed -- expected '$exp', got '$REPLY'"
233 print foo >&p 2> /dev/null || err_exit "first write of foo to $cat coprocess failed"
234 print foo >&p 2> /dev/null || err_exit "second write of foo to coprocess failed"
247 read <&p || err_exit "first read from $cat coprocess failed"
249 read <&p || err_exit "second read from $cat coprocess failed"
264 [[ $got == $exp ]] || err_exit "coshell(3) identification sequence failed -- expected '$exp', got '$got'"
280 [[ $got == $exp ]] || err_exit "main coprocess main query failed -- expected $exp, got '$got'"
291 [[ $got == $exp ]] || err_exit "main coprocess subshell query failed
[all...]
H A Dreadcsv.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
H A Drestricted.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
49 cd $tmp || err_exit "cd $tmp failed"
H A Dsubstring.sh176 do [[ $(eval print -r -- \"\${xx//:/\\${str:i:1}}\") == "a${str:i:1}b" ]] || err_exit "substitution of \\${str:i:1}} failed"
177 [[ $(eval print -rn -- \"\${xx//:/\'${str:i:1}\'}\") == "a${str:i:1}b" ]] || err_exit "substitution of '${str:i:1}' failed"
178 [[ $(eval print -r -- \"\${xx//:/\"${str:i:1}\"}\") == "a${str:i:1}b" ]] || err_exit "substitution of \"${str:i:1}\" failed"
180 [[ ${xx//:/\\n} == 'a\nb' ]] || err_exit "substituion of \\\\n failed"
181 [[ ${xx//:/'\n'} == 'a\nb' ]] || err_exit "substituion of '\\n' failed"
182 [[ ${xx//:/"\n"} == 'a\nb' ]] || err_exit "substituion of \"\\n\" failed"
183 [[ ${xx//:/$'\n'} == $'a\nb' ]] || err_exit "substituion of \$'\\n' failed"
187 then err_exit 'single quoting / in replacements failed'
190 then err_exit 'double quoting / in replacements failed'
193 then err_exit 'escaping / in replacements failed'
[all...]
H A Dalias.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
36 then err_exit 'foo, where foo is alias for "print hello" failed'
39 then err_exit 'foo world, where foo is alias for "print hello" failed'
44 then err_exit 'foo bar, where foo is alias for "print hello " failed'
47 then err_exit 'foo \bar, where foo is alias for "print hello " failed'
51 then err_exit 'bar, where bar is alias for "foo world" failed'
54 then err_exit 'alias bar, where bar is alias for "foo world" failed'
56 unalias foo || err_exit "unalias foo failed"
62 then err_exit 'alias bar, where bar is alias for "print foo$bar" failed'
92 hash -r -- $i 2>/dev/null || err_exit "hash -r -- $i failed"
[all...]
H A Dgrep.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
H A Dlocale.sh33 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
96 [[ "$u" == "$x" ]] || err_exit LC_ALL=$locale multibyte value/trace format failed
100 [[ $u == $x ]] || err_exit LC_ALL=$locale multibyte %04x printf format failed
121 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
135 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
182 [[ $got == $exp ]] || err_exit "${T} sequence failed -- expected '$exp', got '$got'"
200 err_exit "join test script failed -- exit code $?"
203 [[ $got == "$exp" ]] || err_exit "LC_ALL test script failed -- expected '$exp', got '$got'"
209 [[ $got == "$exp" ]] || err_exit "multibyte variable definition/expansion failed -- expected '$exp', got '$got'"
211 [[ $got == "$exp" ]] || err_exit "multibyte ksh function definition/execution failed
[all...]
H A Dmath.sh37 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
H A Dnamespace.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
93 [[ $(runxrun) == 'xfun local bar' ]] || err_exit 'local function on FPATH failed'
94 [[ $(runrun $foo) == 'local prog bar' ]] || err_exit 'local binary on PATH failed'
97 [[ $(.x.fn) == 'local fn bar' ]] || err_exit 'namespace function called from global failed'
101 [[ $(xfun) == 'xfun global abc' ]] || err_exit 'global function on FPATH failed'
102 [[ $(run $foo) == 'global prog abc' ]] || err_exit 'global binary on PATH failed'
104 [[ $(.x.runxrun) == 'xfun local bar' ]] || err_exit 'namespace function on FPATH failed'
H A Dreturn.sh33 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
H A Dtilde.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
87 then err_exit "x=~g.r.emlin failed -- expected '~g.r.emlin', got '$x'"
91 then err_exit "x=~:~ failed, expected '$HOME:$HOME', got '$x'"
H A Dfunctions.sh36 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
387 cd $dir || { err_exit "cd $dir failed"; exit 1; }
431 cd ~- || err_exit "cd back failed"
797 then print failed
804 [[ $x == failed ]] && err_exit 'ERR trap executed multiple times'
833 [[ $t ]] || err_exit "typeset +f \$$i failed"
847 ' || err_exit "compound variable cleanup before script exec failed"
H A Dvariables.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
63 then err_exit PWD variable failed, not equivalent to .
69 then err_exit "PPID variable failed -- expected '$exp', got '$got'"
75 then err_exit "OLDPWD variable failed -- expected '$old', got '$OLDPWD'"
77 cd $old || err_exit cd failed
610 (( $# == 32768 )) || err_exit "\$# failed -- expected 32768, got $#"
620 then [[ $r ]] && err_exit "unset $v failed -- expected '', got '$r'"
622 [[ $r == $x ]] || err_exit "$v=$x failed -- expected '$x', got '$r'"
623 else err_exit "unset $v; : \$$v failed"
631 [[ $r ]] && err_exit "unset $v failed
[all...]
H A Dcomvario.sh185 unset x y || err_exit "unset failed"
186 [[ "$x" == '' ]] || err_exit "cleanup failed for x"
187 [[ "$y" == '' ]] || err_exit "cleanup failed for y"
270 unset x y1 y2 || err_exit "unset failed"
271 [[ "$x" == '' ]] || err_exit "cleanup failed for x"
272 [[ "$y1" == '' ]] || err_exit "cleanup failed for y1"
273 [[ "$y2" == '' ]] || err_exit "cleanup failed for y2"
311 compound x_copy=x || err_exit "x_copy copy failed"
319 nested_cpv_copy=x.myarray3[e].nested_cpv || err_exit "x.myarray3[e].nested_cpv copy failed"
323 unset x.myarray3[e].nested_cpv || err_exit "unset x.myarray3[e].nested_cpv failed"
[all...]
H A Dglob.sh30 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
93 cd $tmp || { err_exit "cd $tmp failed"; exit 1; }
309 then 'err_exit' $1 subject="'$subject' $x failed, expected '$3', got '$g'"
H A Dheredoc.sh31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
210 then err_exit 'here document with stdin closed failed'
227 ) == 1234 ]] 2> /dev/null || err_exit 'here document with get discipline failed'
/ast/src/cmd/INIT/
H A Drt.sh24 failed=0
42 [f:failed?Only list failed test results.]
68 f) failed=1 ;;
90 if (( !failed || errors ))
91 then if (( failed ))
137 if (( ! failed ))
352 *FAILED*|*failed*)
363 *': warning:'*|*'making test'*|*'action'?(s)' failed'*|*': *** '*)
450 *FAILED*|*failed*)
[all...]
H A Dregress.sh1055 typeset i j k s failed ignore io op
1083 then failed=$failed${failed:+,}DIAGNOSTICS
1093 then failed=$failed${failed:+,}${i#$TWD/}
1110 then failed=$failed${failed
[all...]
H A Dhurl.sh164 then print authorization failed
169 then print authorization failed
201 else echo "$command: $url: { /dev/tcp/$host/$port wget curl } failed" >&2
/ast/src/lib/libcmd/
H A Dcut.c73 "[+>0?One or more files failed to open or could not be read.]"
434 goto failed;
439 goto failed;
463 goto failed;
521 goto failed;
551 goto failed;
563 failed:
/ast/src/lib/libjcl/
H A Djcl.h222 unsigned long failed; member in struct:Jcl_s
/ast/src/cmd/ksh93/bltins/
H A Dmisc.c542 goto failed;
557 goto failed;
585 goto failed;
588 failed:
/ast/src/cmd/dsslib/ip_t/
H A DMakefile40 else r=failed

Completed in 268 milliseconds

12